## librdkafka 0.8.0

=== debian/changelog ===
librdkafka (0.8.0-1) unstable; urgency=low

  * Initial release. (Closes: #710271)

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 04 Nov 2013 16:50:07 +0200
