=== debian/control ===
Source: librdkafka
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://github.com/edenhill/librdkafka
Vcs-Git: git://github.com/edenhill/librdkafka.git -b debian
Vcs-Browser: https://github.com/edenhill/librdkafka/tree/debian

Package: librdkafka1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library implementing the Apache Kafka protocol
 librdkafka is a C implementation of the Apache Kafka protocol. It currently
 implements the 0.8 version of the protocol and can be used to develop both
 Producers and Consumers.
 .
 More information about Apache Kafka can be found at http://kafka.apache.org/

Package: librdkafka-dev
Section: libdevel
Architecture: any
Depends: librdkafka1 (= ${binary:Version}), ${misc:Depends}
Description: library implementing the Apache Kafka protocol (development headers)
 librdkafka is a C implementation of the Apache Kafka protocol. It currently
 implements the 0.8 version of the protocol and can be used to develop both
 Producers and Consumers.
 .
 More information about Apache Kafka can be found at http://kafka.apache.org/
 .
 This package contains the development headers.

Package: librdkafka1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: librdkafka1 (= ${binary:Version}), ${misc:Depends}
Description: library implementing the Apache Kafka protocol (debugging symbols)
 librdkafka is a C implementation of the Apache Kafka protocol. It currently
 implements the 0.8 version of the protocol and can be used to develop both
 Producers and Consumers.
 .
 More information about Apache Kafka can be found at http://kafka.apache.org/
 .
 This package contains the debugging symbols.
