=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
	dh_strip --dbg-package=librdkafka1-dbg

# remove after 0.8.0, upstrema bug fixed in master
override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C examples clean

.PHONY: override_dh_strip override_dh_auto_clean
