## librdkafka 0.8.3

=== debian/changelog ===
librdkafka (0.8.3-1ubuntu2) trusty; urgency=medium

  * link-atomic.patch: Fix s/__atmoic/__atomic/ typo in the previous patch.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 23 Feb 2014 18:15:37 -0700

librdkafka (0.8.3-1ubuntu1) trusty; urgency=medium

  * link-atomic.patch: Switch from __sync to __atomic to support more arches.
  * Switch back to arch:any instead of the Debian maintainer's shorter list.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Feb 2014 16:59:19 -0700

librdkafka (0.8.3-1) unstable; urgency=medium

  * New upstream release.
    - Multiple internal symbols hidden; breaks ABI without a SONAME bump, but
      these were internal and should not break any applications, packaged or
      not.
  * Update Standards-Version to 3.9.5, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 18 Feb 2014 02:21:43 +0200

librdkafka (0.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Multiple fixes to FTBFS on various architectures. (Closes: #730506)
    - Remove dh_auto_clean override, fixed upstream.
  * Limit the set of architectures: upstream currently relies on 64-bit atomic
    operations that several Debian architectures do not support.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 05 Dec 2013 16:53:28 +0200
