=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: librdkafka
 Priority: optional
-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: https://github.com/edenhill/librdkafka
 Vcs-Git: git://github.com/edenhill/librdkafka.git -b debian
