=== debian/watch ===
version=3
http://github.com/edenhill/librdkafka/tags .*/(\d[\d\.]*)\.tar\.gz
