=== debian/changelog ===
librdkafka (0.8.5-2ubuntu1) vivid; urgency=medium

  * as-needed-fix.patch: Break up libs from cflags in the configure compile
    tests so we can put the libs at the end of the linker line, fixing test
    detection issues when building with -Wl,--as-needed passed to binutils.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Mar 2015 05:55:33 -0600

librdkafka (0.8.5-2) unstable; urgency=medium

  * Install rdkafka.pc in the right, multiarch location. (Closes: #766759)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 26 Oct 2014 06:47:07 +0200

librdkafka (0.8.5-1) unstable; urgency=medium

  * New upstream release.
    - Fixes kFreeBSD FTBFS.
  * Ship rdkafka.pc pkg-config in librdkafka-dev.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 24 Oct 2014 18:03:22 +0300

librdkafka (0.8.4-1) unstable; urgency=medium

  * New upstream release, including a new build system.
    - Add Build-Depends on perl, required by configure.
    - Support multiarch library paths.
    - Better detection of architecture atomic builtins, supporting more
      architectures. (Closes: #739930)
    - Various portability bugs fixed. (Closes: #730506)
    - Update debian/librdkafka1.symbols.
  * Convert to a multiarch package.
  * Switch to Architecture: any, because of renewed upstream portability.
  * Update debian/copyright to add src/ before Files: paths.
  * Update Standards-Version to 3.9.6, no changes needed.
  * Ship only the C library for now, not the new C++ library; the latter is
    still in flux in some ways and will probably be shipped in a separate
    package in a future release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 22 Oct 2014 23:57:24 +0300
