=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), zlib1g-dev, perl
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/edenhill/librdkafka
 Vcs-Git: git://github.com/edenhill/librdkafka.git -b debian
@@ -11,6 +11,7 @@
 
 Package: librdkafka1
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library implementing the Apache Kafka protocol
  librdkafka is a C implementation of the Apache Kafka protocol. It currently
@@ -22,6 +23,7 @@
 Package: librdkafka-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: librdkafka1 (= ${binary:Version}), ${misc:Depends}
 Description: library implementing the Apache Kafka protocol (development headers)
  librdkafka is a C implementation of the Apache Kafka protocol. It currently
@@ -36,6 +38,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: librdkafka1 (= ${binary:Version}), ${misc:Depends}
 Description: library implementing the Apache Kafka protocol (debugging symbols)
  librdkafka is a C implementation of the Apache Kafka protocol. It currently
