=== debian/changelog ===
librdkafka (0.8.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use size_t instead of int for hexdump to fix FTBFS (Closes: 799993):
    assuming signed overflow does not occur when
    assuming that (X + c) >= X is always true  

 -- YunQiang Su <syq@debian.org>  Mon, 21 Dec 2015 21:20:59 +0800

librdkafka (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream commit f6fd0da, adding --disable-silent-rules
    compatibility support to mklove. (Closes: #788742)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 19 Jul 2015 01:36:18 +0300
