=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: librdkafka
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, perl
 Standards-Version: 3.9.6
 Section: libs
