## librdkafka 0.9.1

=== src-cpp/Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 LIBVER=		1
 
 CXXSRCS=	RdKafka.cpp ConfImpl.cpp HandleImpl.cpp \
-		ConsumerImpl.cpp ProducerImpl.cpp \
-		TopicImpl.cpp MessageImpl.cpp
+		ConsumerImpl.cpp ProducerImpl.cpp KafkaConsumerImpl.cpp \
+		TopicImpl.cpp TopicPartitionImpl.cpp MessageImpl.cpp \
+		QueueImpl.cpp MetadataImpl.cpp
 
 HDRS=		rdkafkacpp.h
 
@@ -24,14 +25,14 @@
 ifeq ($(_UNAME_S),Darwin)
 	FWD_LINKING_REQ=y
 endif
-ifeq ($(shell uname -o),Cygwin)
+ifeq ($(_UNAME_S),AIX)
+	FWD_LINKING_REQ=y
+endif
+ifeq ($(shell uname -o 2>/dev/null),Cygwin)
 	FWD_LINKING_REQ=y
 endif
 
-ifeq ($(FWD_LINKING_REQ),y)
-	LIBS := -L../src -lrdkafka $(LIBS) 
-endif
-
+LIBS := -L../src -lrdkafka $(LIBS) 
 LIBS += -lstdc++
 
 CHECK_FILES+= $(LIBFILENAME) $(LIBNAME).a
@@ -50,7 +51,7 @@
 endif
 
 $(LIBNAME).lds: $(HDRS)
-	@(echo "$(MKL_YELLOW)Generating linker script $@ from $(HDRS)$(MKL_CLR_RESET)" ; \
-	  cat ../src/rdkafka.h | ../lds-gen.pl > $@)
+	@(printf "$(MKL_YELLOW)Generating linker script $@ from $(HDRS)$(MKL_CLR_RESET)\n" ; \
+	  cat ../src/rdkafka.h | ../lds-gen.py > $@)
 
 -include $(DEPS)
