=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
	dh_strip -O--dbgsym-migration='librdkafka1-dbg (<< 0.9.1-1~)'
