=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,19 @@
 
 -include ../Makefile.config
 
+ifneq ($(wildcard ../.git),)
+# Add librdkafka version string from git tag if this is a git checkout
+CPPFLAGS += -DLIBRDKAFKA_GIT_VERSION="\"$(shell git describe --abbrev=6 --dirty --tags 2>/dev/null)\""
+endif
+
 SRCS_$(WITH_SASL) += rdkafka_sasl.c
 SRCS_$(WITH_SNAPPY) += snappy.c
 SRCS_$(WITH_ZLIB) += rdgz.c
+SRCS_$(WITH_LZ4) += xxhash.c
+
+ifeq ($(HAVE_REGEX), n)
+SRCS_y += regexp.c
+endif
 
 SRCS=		rdkafka.c rdkafka_broker.c rdkafka_msg.c rdkafka_topic.c \
 		rdkafka_conf.c rdkafka_timer.c rdkafka_offset.c \
@@ -16,7 +26,8 @@
 		rdkafka_assignor.c rdkafka_range_assignor.c \
 		rdkafka_roundrobin_assignor.c rdkafka_feature.c \
 		rdcrc32.c rdaddr.c rdrand.c rdlist.c tinycthread.c \
-		rdlog.c rdstring.c \
+		rdlog.c rdstring.c rdkafka_event.c rdkafka_metadata.c \
+		rdregex.c \
 		$(SRCS_y)
 
 HDRS=		rdkafka.h
