=== tests/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 BIN	  = merged
 LIBS	 += -lrdkafka
-OBJS	 += test.o tinycthread.o
+OBJS	 += test.o tinycthread.o rdlist.o sockem.o
 CFLAGS += -I../src
 CXXFLAGS += -I../src -I../src-cpp
 LDFLAGS += -L../src -L../src-cpp
@@ -45,6 +45,9 @@
 tinycthread.o: ../src/tinycthread.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<
 
+rdlist.o: ../src/rdlist.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<
+
 
 clean:
 	rm -f *.test $(OBJS) $(BIN)
@@ -56,3 +59,6 @@
 
 realclean: clean clean-output
 	rm -f test_report_*.json
+
+00%:
+	TESTS=$@ ./run-test.sh ./$(BIN)
