=== debian/changelog ===
librdkafka (0.9.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 07 Feb 2017 10:31:04 +0200

librdkafka (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends to liblz4-dev to enable LZ4 compression.
  * Add copyright for xxhash.[hc] and regexp.[hc].
  * Update librdkafka1.symbols for 0.9.2 and 0.9.3.
  * Use hardening build flags.
  * Add myself to Uploaders.
  * Switch to debhelper 10.
  * Move packaging to alioth, under the pkg-kafka team.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 24 Jan 2017 17:33:40 +0200
